---
title: Flujo de Pago
slug: flujo-de-pago
description: Learn how to read and pay through a QR code using the Interoperable API with this comprehensive document. It covers the "Leer QR" and "Pagar QR" endpoints, providing step-by-step instructions and code examples in various programming languages. Discover ho
icon: {"faIcon":"fa-solid fa-arrows-turn-to-dots"}
createdAt: 2023-04-24T11:41:55.000Z
---

Este flujo es exclusivo para Cuenta/Billetera Habientes

```mermaid
sequenceDiagram
    participant Aplicacion
    participant Servicio
    participant Interoperable
    Aplicacion->>Servicio: Lee un QR
    Servicio->>Interoperable: Envía el QR al endpoint "resolve"
    Interoperable-->>Aplicacion: Devuelve los Medios de Pago
    Servicio->>Interoperable: Llamada a Patch Plans
    Interoperable-->>Aplicacion: Devuelve los Planes Calculados
    Aplicacion->>Servicio: Elije Medio de Pago
    Servicio->>Interoperable: Ejecuta el Pago
    Interoperable-->>Aplicacion: Devuelve el resultado del Pago
```



Incluso durante los errores para resolver un QR el servicio contestará con un Order ID que podrá ser utilizado desde las API de Ordenes para obtener más detalles.



:::ApiMethodV2
```json
{
  "tab": "examples",
  "url": "https://api.interoperable.ar/qr/customer/{customer_id}/resolve",
  "name": "Leer/Resolver QR Con Cuenta/Billetera-Habiente",
  "method": "POST",
  "request": {
    "pathParameters": [
      {
        "kind": "required",
        "name": "customer_id",
        "type": "string",
        "children": [],
        "description": "Referencia de la Cuenta con la cual se debe leer el QR"
      }
    ],
    "queryParameters": [
      {
        "name": "loc",
        "kind": "optional",
        "type": "string",
        "description": "Localización de la Respuesta. Opciones: ARG",
        "children": []
      }
    ],
    "headerParameters": [
      {
        "kind": "required",
        "name": "Authorization",
        "type": "string",
        "children": [],
        "description": ""
      }
    ],
    "bodyDataParameters": [
      {
        "kind": "required",
        "name": "qr_raw",
        "type": "string",
        "description": "QR Raw Data"
      },
      {
        "name": "sources",
        "kind": "optional",
        "type": "Array",
        "description": "",
        "children": []
      },
      {
        "name": "sources.[$]",
        "kind": "optional",
        "type": "Object",
        "description": "",
        "children": [
          {
            "name": "type",
            "kind": "required",
            "type": "string",
            "description": "Valor fijo: bank"
          },
          {
            "name": "data",
            "kind": "required",
            "type": "Object",
            "description": "",
            "children": [
              {
                "name": "name",
                "kind": "required",
                "type": "string",
                "description": "Nombre del Titular"
              },
              {
                "name": "identification",
                "kind": "required",
                "type": "string",
                "description": "DNI, CUIL, CUIT del Titular"
              },
              {
                "name": "cvu",
                "kind": "optional",
                "type": "string",
                "description": "Clave Bancaria Uniforme ( Sólo Argentina y tipo Bank )"
              },
              {
                "name": "cbu",
                "kind": "optional",
                "type": "string",
                "description": "Clave Virtual Uniforme ( Sólo Argentina y tipo Bank )"
              }
            ]
          }
        ]
      },
      {
        "name": "thirdPartyResolve",
        "kind": "optional",
        "type": "Object",
        "description": "",
        "children": [
          {
            "name": "qr_id",
            "kind": "required",
            "type": "string",
            "description": ""
          },
          {
            "name": "merchant",
            "kind": "optional",
            "type": "Object",
            "description": "",
            "children": [
              {
                "name": "name",
                "kind": "optional",
                "type": "string",
                "description": ""
              },
              {
                "name": "cuit",
                "kind": "optional",
                "type": "string",
                "description": ""
              },
              {
                "name": "category",
                "kind": "optional",
                "type": "string",
                "description": ""
              },
              {
                "name": "field_of_activity",
                "kind": "optional",
                "type": "string",
                "description": ""
              },
              {
                "name": "mcc",
                "kind": "optional",
                "type": "string",
                "description": ""
              },
              {
                "name": "zip",
                "kind": "optional",
                "type": "string",
                "description": ""
              },
              {
                "name": "free_tier",
                "kind": "optional",
                "type": "Boolean",
                "description": ""
              },
              {
                "name": "iva_exempt",
                "kind": "optional",
                "type": "Boolean",
                "description": ""
              },
              {
                "name": "image",
                "kind": "optional",
                "type": "string",
                "description": ""
              },
              {
                "name": "account",
                "kind": "optional",
                "type": "string",
                "description": ""
              }
            ]
          },
          {
            "name": "transaction_type",
            "kind": "optional",
            "type": "string",
            "description": "PCT, ECT"
          }
        ]
      },
      {
        "name": "country",
        "kind": "optional",
        "type": "string",
        "description": "ISO 3166-1 Alpha 3. Código de 3 letras indicando el código de país. Esto es sólo necesario para enviar una llave PIX u otras llaves manuales.",
        "": "ISO 3166-1 Alpha 3. Código de 3 letras indicando el código de país. Esto es sólo necesario para enviar una llave PIX u otras llaves manuales."
      },
      {
        "name": "text",
        "kind": "optional",
        "type": "string",
        "description": "Este campo es sólo necesario si se envía una llave PIX u otras llaves manuales. Aquí se debe enviar la llave.",
        "": "Este campo es sólo necesario si se envía una llave PIX u otras llaves manuales. Aquí se debe enviar la llave."
      }
    ],
    "formDataParameters": []
  },
  "results": {
    "languages": [
      {
        "id": "P8twQ6nthiwhgZULJIkPz",
        "language": "200",
        "code": "{\n\t\"id\": \"2O31V162NRYCELD6X30NQZ\",\n\t\"currency\": \"ARS\",\n\t\"total\": 10,\n\t\"acquirers\": [\n\t\t\"ar.interoperable\"\n\t],\n\t\"merchantData\": {\n\t\t\"accountNumber\": \"XXXXXXXXXXXXXXXXX\",\n\t\t\"accountType\": \"cvu\",\n\t\t\"country\": \"ARG\",\n\t\t\"countryCategoryCode\": \"641930\",\n\t\t\"legalName\": \"Prueba 2\",\n\t\t\"mcc\": \"6010\",\n\t\t\"name\": \"Prueba 2\",\n\t\t\"reference\": \"65a59b415d3731a69545a476\",\n\t\t\"taxId\": \"20121231234\",\n\t\t\"taxIdType\": \"arg.cuit\",\n\t\t\"zipCode\": \"C1000AAA\"\n\t},\n\t\"localizedOrder\": {},\n\t\"sources\": [\n\t\t{\n\t\t\t\"source\": {\n\t\t\t\t\"uid\": \"65e5ec0561658049e63991ba\",\n\t\t\t\t\"type\": \"card\",\n\t\t\t\t\"data\": {\n\t\t\t\t\t\"bin\": \"45079900\",\n\t\t\t\t\t\"country\": \"ARG\",\n\t\t\t\t\t\"expirationMonth\": \"12\",\n\t\t\t\t\t\"expirationYear\": \"34\",\n\t\t\t\t\t\"identification\": \"12123123\",\n\t\t\t\t\t\"last4\": \"0010\",\n\t\t\t\t\t\"name\": \"Demo Customer\",\n\t\t\t\t\t\"type\": \"card\"\n\t\t\t\t},\n\t\t\t\t\"kind\": \"customer\"\n\t\t\t},\n\t\t\t\"data\": {\n\t\t\t\t\"source\": {\n\t\t\t\t\t\"card\": {\n\t\t\t\t\t\t\"issuer\": {\n\t\t\t\t\t\t\t\"color\": \"#122d98\",\n\t\t\t\t\t\t\t\"logo\": \"https://res.mobbex.com/images/sources/png/visa.png\",\n\t\t\t\t\t\t\t\"metadata\": null,\n\t\t\t\t\t\t\t\"name\": \"Visa\",\n\t\t\t\t\t\t\t\"shortName\": \"Visa\",\n\t\t\t\t\t\t\t\"type\": \"unknown\"\n\t\t\t\t\t\t},\n\t\t\t\t\t\t\"level\": \"classic\",\n\t\t\t\t\t\t\"product\": {\n\t\t\t\t\t\t\t\"code\": {\n\t\t\t\t\t\t\t\t\"length\": 3,\n\t\t\t\t\t\t\t\t\"name\": \"CVV\",\n\t\t\t\t\t\t\t\t\"position\": 1\n\t\t\t\t\t\t\t},\n\t\t\t\t\t\t\t\"gaps\": [\n\t\t\t\t\t\t\t\t4,\n\t\t\t\t\t\t\t\t8,\n\t\t\t\t\t\t\t\t12\n\t\t\t\t\t\t\t],\n\t\t\t\t\t\t\t\"lengths\": [\n\t\t\t\t\t\t\t\t16\n\t\t\t\t\t\t\t],\n\t\t\t\t\t\t\t\"logo\": \"https://res.mobbex.com/images/sources/png/visa.png\",\n\t\t\t\t\t\t\t\"metadata\": null,\n\t\t\t\t\t\t\t\"name\": \"Visa Débito\",\n\t\t\t\t\t\t\t\"shortName\": \"Visa Débit\",\n\t\t\t\t\t\t\t\"validation\": [\n\t\t\t\t\t\t\t\t\"length\",\n\t\t\t\t\t\t\t\t\"exp\",\n\t\t\t\t\t\t\t\t\"cvv\",\n\t\t\t\t\t\t\t\t\"luhn\"\n\t\t\t\t\t\t\t],\n\t\t\t\t\t\t\t\"variant\": \"debit\"\n\t\t\t\t\t\t}\n\t\t\t\t\t},\n\t\t\t\t\t\"name\": \"Visa Débito\",\n\t\t\t\t\t\"reference\": \"visa.debit\",\n\t\t\t\t\t\"references\": [\n\t\t\t\t\t\t\"visa.debit\"\n\t\t\t\t\t],\n\t\t\t\t\t\"type\": \"card\"\n\t\t\t\t},\n\t\t\t\t\"type\": \"card\"\n\t\t\t}\n\t\t}\n\t]\n}",
        "customLabel": ""
      },
      {
        "id": "Q79lt9FOY8ee1CRMl5gYv",
        "language": "500",
        "code": "{\n  \"id\": \"2O31V162NRYCELD6X30NQZ\",\n  \"code\": \"500\",\n  \"message\": \"FAT_ERR\"\n}",
        "customLabel": ""
      }
    ],
    "selectedLanguageId": "Q79lt9FOY8ee1CRMl5gYv"
  },
  "examples": {
    "languages": [
      {
        "id": "5ESz2ozvTtkcFB6CMHHtj",
        "language": "curl",
        "code": "curl --location --globoff 'https://api.interoperable.ar/qr/customer/{customer_id}/resolve/{customer_id}' \\\n--header 'Accept: application/json' \\\n--header 'Content-Type: application/json' \\\n--data '{\"qr_raw\":\"string\"}'",
        "customLabel": ""
      },
      {
        "id": "MGcqnHP8L_ltADmkekKfh",
        "language": "nodejs",
        "code": "var request = require('request');\nvar options = {\n   'method': 'POST',\n   'url': 'https://api.interoperable.ar/qr/customer/{customer_id}/resolve/{customer_id}',\n   'headers': {\n      'Accept': 'application/json',\n      'Content-Type': 'application/json'\n   },\n   body: JSON.stringify({\n      \"qr_raw\": \"string\"\n   })\n\n};\nrequest(options, function (error, response) {\n   if (error) throw new Error(error);\n   console.log(response.body);\n});\n",
        "customLabel": ""
      },
      {
        "id": "4MW0Hpu65d3BSYu2n6VHb",
        "language": "javascript",
        "code": "var myHeaders = new Headers();\nmyHeaders.append(\"Accept\", \"application/json\");\nmyHeaders.append(\"Content-Type\", \"application/json\");\n\nvar raw = JSON.stringify({\n   \"qr_raw\": \"string\"\n});\n\nvar requestOptions = {\n   method: 'POST',\n   headers: myHeaders,\n   body: raw,\n   redirect: 'follow'\n};\n\nfetch(\"https://api.interoperable.ar/qr/customer/{customer_id}/resolve/{customer_id}\", requestOptions)\n   .then(response => response.text())\n   .then(result => console.log(result))\n   .catch(error => console.log('error', error));",
        "customLabel": ""
      },
      {
        "id": "hlISyYvZM90qg3Zd0XCP3",
        "language": "python",
        "code": "import requests\nimport json\n\nurl = \"https://api.interoperable.ar/qr/customer/{customer_id}/resolve/{customer_id}\"\n\npayload = json.dumps({\n   \"qr_raw\": \"string\"\n})\nheaders = {\n   'Accept': 'application/json',\n   'Content-Type': 'application/json'\n}\n\nresponse = requests.request(\"POST\", url, headers=headers, data=payload)\n\nprint(response.text)\n",
        "customLabel": ""
      },
      {
        "id": "rStYh0-oI63fVb5o-lEOT",
        "language": "ruby",
        "code": "require \"uri\"\nrequire \"json\"\nrequire \"net/http\"\n\nurl = URI(\"https://api.interoperable.ar/qr/customer/{customer_id}/resolve/{customer_id}\")\n\nhttps = Net::HTTP.new(url.host, url.port)\nhttps.use_ssl = true\n\nrequest = Net::HTTP::Post.new(url)\nrequest[\"Accept\"] = \"application/json\"\nrequest[\"Content-Type\"] = \"application/json\"\nrequest.body = JSON.dump({\n   \"qr_raw\": \"string\"\n})\n\nresponse = https.request(request)\nputs response.read_body\n",
        "customLabel": ""
      }
    ],
    "selectedLanguageId": "5ESz2ozvTtkcFB6CMHHtj"
  },
  "description": "Este endpoint permite leer el QR",
  "currentNewParameter": {
    "label": "Body Parameter",
    "value": "bodyDataParameters"
  },
  "hasTryItOut": false,
  "autoGeneratedAnchorSlug": "leerresolver-qr-con-cuentabilletera-habiente",
  "legacyHash": "lgqhNJItj8ryEw_sn8hPX"
}
```
:::

## Extensiones para otros paises

El servicio permite extender las respuestas para otros países o pagos cross-border. Cuando se detecte un pago Cross Border cambiará la información del Merchant indicando correctamente el país y agregando en el campo "additional\_info" toda la información extra recabada.

```json
{
    "id": "DR8AY5JPAIE1M5NCR9SS67",
    "isStatic": true,
    "currency": "ARS",
    "total": 15000,
    "acquirers": [],
    "merchantData": {
        "accountNumber": "0000000000000000000",
        "accountType": "none",
        "country": "BRA",
        "legalName": "NOMBRE FANTASIA",
        "mcc": "XXXX",
        "name": "NOMBRE FANTASIA",
        "reference": "8CEC2373-A74B-D9EA-62A44E32DF079BE7",
        "taxId": "0000000000",
        "taxIdType": "bra.cpf",
        "zipCode": ""
    },
    "additional_info": {
        "merchantCurrency": "BRL",
        "merchantTotal": 10,
        "exchangeRate": 1.4,
        "exchangeRateLastUpdatedAt": 1762313608641
    },
    "localizedOrder": {},
    "sources": []
}
```

:::ApiMethodV2
```json
{
  "tab": "examples",
  "url": "https://api.interoperable.ar/order/{order_id}/plans",
  "name": "Patch Plans",
  "method": "PATCH",
  "request": {
    "pathParameters": [
      {
        "kind": "required",
        "name": "order_id",
        "type": "string",
        "children": [],
        "description": "Referencia de la Cuenta con la cual se debe leer el QR"
      }
    ],
    "queryParameters": [
      {
        "name": "loc",
        "kind": "optional",
        "type": "string",
        "description": "Localización de la Respuesta. Opciones: ARG",
        "children": []
      },
      {
        "name": "total",
        "kind": "optional",
        "type": "number",
        "description": "Total a pagar. Este campo es opcional y sólo necesario para pagos con QR estático.",
        "": "Total a pagar. Este campo es opcional y sólo necesario para pagos con QR estático."
      }
    ],
    "headerParameters": [
      {
        "kind": "required",
        "name": "Authorization",
        "type": "string",
        "children": [],
        "description": ""
      }
    ],
    "bodyDataParameters": [],
    "formDataParameters": []
  },
  "results": {
    "languages": [
      {
        "id": "P8twQ6nthiwhgZULJIkPz",
        "code": "{\n\t\"supported\": [\n\t\t{\n\t\t\t\"source\": {\n\t\t\t\t\"uid\": \"CSP-TZLA1WRCMYSZ9XQ2SQAT03\",\n\t\t\t\t\"type\": \"card\",\n\t\t\t\t\"data\": {\n\t\t\t\t\t\"bin\": \"45079900\"\n\t\t\t\t},\n\t\t\t\t\"kind\": \"customer\"\n\t\t\t},\n\t\t\t\"data\": {\n\t\t\t\t\"installments\": [\n\t\t\t\t\t{\n\t\t\t\t\t\t\"uid\": \"CGq7Y9nfZ\",\n\t\t\t\t\t\t\"count\": 1,\n\t\t\t\t\t\t\"description\": \"\",\n\t\t\t\t\t\t\"name\": \"Débito\",\n\t\t\t\t\t\t\"order\": 1,\n\t\t\t\t\t\t\"reference\": \"1\",\n\t\t\t\t\t\t\"tags\": [],\n\t\t\t\t\t\t\"totals\": {\n\t\t\t\t\t\t\t\"currency\": {\n\t\t\t\t\t\t\t\t\"exponent\": 2,\n\t\t\t\t\t\t\t\t\"isoCode\": \"032\",\n\t\t\t\t\t\t\t\t\"label\": \"Peso Argentino\",\n\t\t\t\t\t\t\t\t\"locale\": \"es-AR\",\n\t\t\t\t\t\t\t\t\"symbol\": \"$\",\n\t\t\t\t\t\t\t\t\"value\": \"ARS\"\n\t\t\t\t\t\t\t},\n\t\t\t\t\t\t\t\"financial\": {\n\t\t\t\t\t\t\t\t\"amount\": 0,\n\t\t\t\t\t\t\t\t\"percentage\": 0\n\t\t\t\t\t\t\t},\n\t\t\t\t\t\t\t\"installment\": {\n\t\t\t\t\t\t\t\t\"amount\": 10,\n\t\t\t\t\t\t\t\t\"count\": 1\n\t\t\t\t\t\t\t},\n\t\t\t\t\t\t\t\"total\": 10\n\t\t\t\t\t\t}\n\t\t\t\t\t}\n\t\t\t\t],\n\t\t\t\t\"source\": {\n\t\t\t\t\t\"card\": {\n\t\t\t\t\t\t\"issuer\": {\n\t\t\t\t\t\t\t\"color\": \"#122d98\",\n\t\t\t\t\t\t\t\"logo\": \"https://res.mobbex.com/images/sources/png/visa.png\",\n\t\t\t\t\t\t\t\"metadata\": null,\n\t\t\t\t\t\t\t\"name\": \"Visa\",\n\t\t\t\t\t\t\t\"shortName\": \"Visa\",\n\t\t\t\t\t\t\t\"type\": \"unknown\"\n\t\t\t\t\t\t},\n\t\t\t\t\t\t\"level\": \"classic\",\n\t\t\t\t\t\t\"product\": {\n\t\t\t\t\t\t\t\"code\": {\n\t\t\t\t\t\t\t\t\"length\": 3,\n\t\t\t\t\t\t\t\t\"name\": \"CVV\",\n\t\t\t\t\t\t\t\t\"position\": 1\n\t\t\t\t\t\t\t},\n\t\t\t\t\t\t\t\"gaps\": [\n\t\t\t\t\t\t\t\t4,\n\t\t\t\t\t\t\t\t8,\n\t\t\t\t\t\t\t\t12\n\t\t\t\t\t\t\t],\n\t\t\t\t\t\t\t\"lengths\": [\n\t\t\t\t\t\t\t\t16\n\t\t\t\t\t\t\t],\n\t\t\t\t\t\t\t\"logo\": \"https://res.mobbex.com/images/sources/png/visa.png\",\n\t\t\t\t\t\t\t\"metadata\": null,\n\t\t\t\t\t\t\t\"name\": \"Visa Débito\",\n\t\t\t\t\t\t\t\"shortName\": \"Visa Débit\",\n\t\t\t\t\t\t\t\"validation\": [\n\t\t\t\t\t\t\t\t\"length\",\n\t\t\t\t\t\t\t\t\"exp\",\n\t\t\t\t\t\t\t\t\"cvv\",\n\t\t\t\t\t\t\t\t\"luhn\"\n\t\t\t\t\t\t\t],\n\t\t\t\t\t\t\t\"variant\": \"debit\"\n\t\t\t\t\t\t}\n\t\t\t\t\t},\n\t\t\t\t\t\"name\": \"Visa Débito\",\n\t\t\t\t\t\"reference\": \"visa.debit\",\n\t\t\t\t\t\"references\": [\n\t\t\t\t\t\t\"visa.debit\"\n\t\t\t\t\t],\n\t\t\t\t\t\"type\": \"card\"\n\t\t\t\t},\n\t\t\t\t\"type\": \"card\"\n\t\t\t}\n\t\t}\n\t],\n\t\"unsupported\": []\n}",
        "language": "200",
        "customLabel": ""
      },
      {
        "id": "Q79lt9FOY8ee1CRMl5gYv",
        "code": "{\n  \"result\": false,\n}",
        "language": "500",
        "customLabel": ""
      }
    ],
    "selectedLanguageId": "P8twQ6nthiwhgZULJIkPz"
  },
  "examples": {
    "languages": [
      {
        "id": "tj27aIDbMH18EA78Xc-7p",
        "language": "curl",
        "code": "curl --location --globoff --request PATCH 'https://api.interoperable.ar/qr/{order_id}/plans' \\\n--header 'Accept: application/json' \\\n--header 'Content-Type: application/json'",
        "customLabel": ""
      },
      {
        "id": "OgpEHC8nY7mL0nRO2Fw9b",
        "language": "nodejs",
        "code": "var request = require('request');\nvar options = {\n   'method': 'PATCH',\n   'url': 'https://api.interoperable.ar/qr/{order_id}/plans',\n   'headers': {\n      'Accept': 'application/json',\n      'Content-Type': 'application/json'\n   }\n};\nrequest(options, function (error, response) {\n   if (error) throw new Error(error);\n   console.log(response.body);\n});\n",
        "customLabel": ""
      },
      {
        "id": "B5SaiL61o0Pj8oLfyu9Y9",
        "language": "javascript",
        "code": "var myHeaders = new Headers();\nmyHeaders.append(\"Accept\", \"application/json\");\nmyHeaders.append(\"Content-Type\", \"application/json\");\n\nvar requestOptions = {\n   method: 'PATCH',\n   headers: myHeaders,\n   redirect: 'follow'\n};\n\nfetch(\"https://api.interoperable.ar/qr/{order_id}/plans\", requestOptions)\n   .then(response => response.text())\n   .then(result => console.log(result))\n   .catch(error => console.log('error', error));",
        "customLabel": ""
      },
      {
        "id": "c62IdQmWPzl6Jv_agv82F",
        "language": "python",
        "code": "import requests\nimport json\n\nurl = \"https://api.interoperable.ar/qr/{order_id}/plans\"\n\npayload = {}\nheaders = {\n   'Accept': 'application/json',\n   'Content-Type': 'application/json'\n}\n\nresponse = requests.request(\"PATCH\", url, headers=headers, data=payload)\n\nprint(response.text)\n",
        "customLabel": ""
      },
      {
        "id": "gEi9VcerjQCPNtUxXQL7I",
        "language": "ruby",
        "code": "require \"uri\"\nrequire \"json\"\nrequire \"net/http\"\n\nurl = URI(\"https://api.interoperable.ar/qr/{order_id}/plans\")\n\nhttps = Net::HTTP.new(url.host, url.port)\nhttps.use_ssl = true\n\nrequest = Net::HTTP::Patch.new(url)\nrequest[\"Accept\"] = \"application/json\"\nrequest[\"Content-Type\"] = \"application/json\"\n\nresponse = https.request(request)\nputs response.read_body\n",
        "customLabel": ""
      }
    ],
    "selectedLanguageId": "tj27aIDbMH18EA78Xc-7p"
  },
  "description": "",
  "currentNewParameter": {
    "label": "Query Parameter",
    "value": "queryParameters"
  },
  "hasTryItOut": false,
  "autoGeneratedAnchorSlug": "patch-plans",
  "legacyHash": "OP4SUv6-hOESjRpQ8I-f1"
}
```
:::

### Creación de Token

:::hint{type="info"}
Crear Token no es necesario en este flujo y sólo debe ser invocado si se desea hacer un pago con una tarjeta cargada por el cliente al momento del pago.
:::

:::ApiMethodV2
```json
{
  "tab": "examples",
  "url": "https://api.interoperable.ar/payments/tokens",
  "name": "Crear Token",
  "method": "POST",
  "request": {
    "pathParameters": [],
    "queryParameters": [],
    "headerParameters": [
      {
        "kind": "required",
        "name": "Authorization",
        "type": "string",
        "children": [],
        "description": "Token de acceso"
      }
    ],
    "bodyDataParameters": [
      {
        "kind": "required",
        "name": "card",
        "type": "Object",
        "description": "Objeto con los datos del tarjeta-habiente"
      }
    ],
    "formDataParameters": []
  },
  "results": {
    "languages": [
      {
        "id": "pqKuXxL-6rLvaRinl45TK",
        "code": "{\n\t\"created_at\": \"2024-03-04T10:44:49Z\",\n\t\"expiry_at\": \"2024-03-04T10:59:49Z\",\n\t\"token\": \"T:P0WG66KQ9WRPQQ9EETIECJ\"\n}",
        "language": "200",
        "customLabel": ""
      },
      {
        "id": "oizZdBf9CXo-43XssxuNZ",
        "code": "{\n      \"message\": \"Ain't no cake like that.\"\n    }",
        "language": "404",
        "customLabel": ""
      }
    ],
    "selectedLanguageId": "pqKuXxL-6rLvaRinl45TK"
  },
  "examples": {
    "languages": [
      {
        "id": "lBDj53f8mjB-0FhGQGTuy",
        "language": "curl",
        "code": "curl --location 'https://api.interoperable.ar/payments/tokens' \\\n--header 'Accept: application/json' \\\n--header 'Content-Type: application/json' \\\n--data '{\"card\":\"Object\"}'",
        "customLabel": ""
      },
      {
        "id": "Hr2BSaRMmbeNJntFT9rzm",
        "language": "nodejs",
        "code": "var request = require('request');\nvar options = {\n   'method': 'POST',\n   'url': 'https://api.interoperable.ar/payments/tokens',\n   'headers': {\n      'Accept': 'application/json',\n      'Content-Type': 'application/json'\n   },\n   body: JSON.stringify({\n      \"card\": \"Object\"\n   })\n\n};\nrequest(options, function (error, response) {\n   if (error) throw new Error(error);\n   console.log(response.body);\n});\n",
        "customLabel": ""
      },
      {
        "id": "teAZcUdzxz98OboVqdf9c",
        "language": "javascript",
        "code": "var myHeaders = new Headers();\nmyHeaders.append(\"Accept\", \"application/json\");\nmyHeaders.append(\"Content-Type\", \"application/json\");\n\nvar raw = JSON.stringify({\n   \"card\": \"Object\"\n});\n\nvar requestOptions = {\n   method: 'POST',\n   headers: myHeaders,\n   body: raw,\n   redirect: 'follow'\n};\n\nfetch(\"https://api.interoperable.ar/payments/tokens\", requestOptions)\n   .then(response => response.text())\n   .then(result => console.log(result))\n   .catch(error => console.log('error', error));",
        "customLabel": ""
      },
      {
        "id": "3PiepGMCKZHSn4Z-_Jw-L",
        "language": "python",
        "code": "import requests\nimport json\n\nurl = \"https://api.interoperable.ar/payments/tokens\"\n\npayload = json.dumps({\n   \"card\": \"Object\"\n})\nheaders = {\n   'Accept': 'application/json',\n   'Content-Type': 'application/json'\n}\n\nresponse = requests.request(\"POST\", url, headers=headers, data=payload)\n\nprint(response.text)\n",
        "customLabel": ""
      },
      {
        "id": "Zu0ZbNIH5k80IVaGaFESb",
        "language": "ruby",
        "code": "require \"uri\"\nrequire \"json\"\nrequire \"net/http\"\n\nurl = URI(\"https://api.interoperable.ar/payments/tokens\")\n\nhttps = Net::HTTP.new(url.host, url.port)\nhttps.use_ssl = true\n\nrequest = Net::HTTP::Post.new(url)\nrequest[\"Accept\"] = \"application/json\"\nrequest[\"Content-Type\"] = \"application/json\"\nrequest.body = JSON.dump({\n   \"card\": \"Object\"\n})\n\nresponse = https.request(request)\nputs response.read_body\n",
        "customLabel": ""
      }
    ],
    "selectedLanguageId": "lBDj53f8mjB-0FhGQGTuy"
  },
  "description": "Pagar Orden via QR",
  "currentNewParameter": {
    "label": "Header Parameter",
    "value": "headerParameters"
  },
  "hasTryItOut": false,
  "autoGeneratedAnchorSlug": "crear-token",
  "legacyHash": "oTYC2I0qzCSNg5EuTphud"
}
```
:::

**Ejemplo de Solicitud de Creación de Token**

```json
{
	"card": {
		"holder": {
			"name": "Demo",
			"identification_type": "DNI",
			"identification_number": "12123123"
		},
		"card_data": {
			"number": "4507990000000010",
			"security_code": "200",
			"expiration_month": 12,
			"expiration_year": 2032,
			"entry_mode": "MANUAL"
		}
	}
}
```

:::ApiMethodV2
```json
{
  "tab": "examples",
  "url": "https://api.interoperable.ar/orders/{order_id}/payments",
  "name": "Pagar QR",
  "method": "POST",
  "request": {
    "pathParameters": [
      {
        "kind": "required",
        "name": "order_id",
        "type": "string",
        "children": [],
        "description": "ID de la Orden sobre la que se realizará el pago."
      }
    ],
    "queryParameters": [
      {
        "name": "loc",
        "kind": "optional",
        "type": "string",
        "description": "Localización de la Respuesta. Opciones: ARG",
        "children": []
      }
    ],
    "headerParameters": [
      {
        "kind": "required",
        "name": "Authorization",
        "type": "string",
        "children": [],
        "description": "Token de Autorizacio"
      }
    ],
    "bodyDataParameters": [
      {
        "name": "source",
        "kind": "required",
        "type": "string",
        "description": "Token del medio de pago con el que se efectùa la transacción.",
        "children": []
      },
      {
        "name": "installment",
        "kind": "optional",
        "type": "string",
        "description": "Identificador del plan de cuotas con el que se procesa la transaccion. Sólo es requerido para operaciones con Tarjetas. No se debe enviar en operaciones entre Cuentas Bancarias o Virtuales.",
        "children": []
      },
      {
        "name": "total",
        "kind": "optional",
        "type": "number",
        "description": "Total a pagar. Este campo es opcional y sólo necesario para pagos con QR abierto. En operaciones Cross Border se debe enviar el monto en la moneda del comercio, si el pago será via PIX el monto deberá ser enviado en Reales.",
        "": "Total a pagar. Este campo es opcional y sólo necesario para pagos con QR abierto. En operaciones Cross Border se debe enviar el monto en la moneda del comercio, si el pago será via PIX el monto deberá ser enviado en Reales."
      }
    ],
    "formDataParameters": []
  },
  "results": {
    "languages": [
      {
        "id": "pqKuXxL-6rLvaRinl45TK",
        "code": "{\n\t\"data\": {\n\t\t\"data\": {\n\t\t\t\"entity\": {\n\t\t\t\t\"name\": \"Prueba 2\",\n\t\t\t\t\"uid\": \"arg.test:123\"\n\t\t\t},\n\t\t\t\"payment\": {\n\t\t\t\t\"id\": \"CHD-0KJ3NPGCC9B49QBA7C\",\n\t\t\t\t\"reference\": \"CHD-T8TW2J30R3HGUFHNNE\",\n\t\t\t\t\"source\": {\n\t\t\t\t\t\"cardholder\": {\n\t\t\t\t\t\t\"identification\": \"33996953\",\n\t\t\t\t\t\t\"name\": \"\"\n\t\t\t\t\t},\n\t\t\t\t\t\"expiration\": {\n\t\t\t\t\t\t\"month\": \"12\",\n\t\t\t\t\t\t\"year\": \"34\"\n\t\t\t\t\t},\n\t\t\t\t\t\"installment\": {\n\t\t\t\t\t\t\"amount\": 10,\n\t\t\t\t\t\t\"count\": 1,\n\t\t\t\t\t\t\"description\": \"Débito\",\n\t\t\t\t\t\t\"reference\": \"1\",\n\t\t\t\t\t\t\"uid\": \"CGq7Y9nfZ\"\n\t\t\t\t\t},\n\t\t\t\t\t\"name\": \"Visa Débito\",\n\t\t\t\t\t\"number\": \"45079900****0010\",\n\t\t\t\t\t\"reference\": \"visa.debit\",\n\t\t\t\t\t\"transaction\": {\n\t\t\t\t\t\t\"authorizationCode\": \"\",\n\t\t\t\t\t\t\"batchNo\": \"\",\n\t\t\t\t\t\t\"resultCode\": \"03\",\n\t\t\t\t\t\t\"retrievalReferenceNo\": \"\",\n\t\t\t\t\t\t\"ticketNo\": \"\",\n\t\t\t\t\t\t\"transactionId\": \"CHD-0KJ3NPGCC9B49QBA7C\"\n\t\t\t\t\t},\n\t\t\t\t\t\"type\": \"card\"\n\t\t\t\t},\n\t\t\t\t\"status\": {\n\t\t\t\t\t\"code\": \"500\",\n\t\t\t\t\t\"data\": {},\n\t\t\t\t\t\"message\": \"Error en emisor, reintentar operación. (Cod. 03)\",\n\t\t\t\t\t\"resultCode\": \"03\",\n\t\t\t\t\t\"text\": \"Error\",\n\t\t\t\t\t\"view\": \"default\"\n\t\t\t\t},\n\t\t\t\t\"total\": 10\n\t\t\t},\n\t\t\t\"source\": {\n\t\t\t\t\"name\": \"Visa Débito\",\n\t\t\t\t\"reference\": \"visa.debit\",\n\t\t\t\t\"type\": \"card\"\n\t\t\t},\n\t\t\t\"view\": {\n\t\t\t\t\"type\": \"card\"\n\t\t\t}\n\t\t},\n\t\t\"id\": \"CHD-0KJ3NPGCC9B49QBA7C\",\n\t\t\"status\": \"500\"\n\t},\n\t\"result\": true\n}",
        "language": "200",
        "customLabel": ""
      },
      {
        "id": "oizZdBf9CXo-43XssxuNZ",
        "code": "{\n      \"message\": \"Ain't no cake like that.\"\n    }",
        "language": "404",
        "customLabel": ""
      }
    ],
    "selectedLanguageId": "pqKuXxL-6rLvaRinl45TK"
  },
  "examples": {
    "languages": [
      {
        "id": "u8F_JYK4W0ijO3xG97uI-",
        "language": "curl",
        "code": "curl --location --globoff 'https://api.interoperable.ar/orders/{order_id}/payments/{order_id}' \\\n--header 'Accept: application/json' \\\n--header 'Content-Type: application/json' \\\n--data '{\"source\":\"string\",\"installment\":\"string\"}'",
        "customLabel": ""
      },
      {
        "id": "0-kamhPYb0eisKn_m00zF",
        "language": "nodejs",
        "code": "var request = require('request');\nvar options = {\n   'method': 'POST',\n   'url': 'https://api.interoperable.ar/orders/{order_id}/payments/{order_id}',\n   'headers': {\n      'Accept': 'application/json',\n      'Content-Type': 'application/json'\n   },\n   body: JSON.stringify({\n      \"source\": \"string\",\n      \"installment\": \"string\"\n   })\n\n};\nrequest(options, function (error, response) {\n   if (error) throw new Error(error);\n   console.log(response.body);\n});\n",
        "customLabel": ""
      },
      {
        "id": "c004ZeyG4OVw-20VdhEcx",
        "language": "javascript",
        "code": "var myHeaders = new Headers();\nmyHeaders.append(\"Accept\", \"application/json\");\nmyHeaders.append(\"Content-Type\", \"application/json\");\n\nvar raw = JSON.stringify({\n   \"source\": \"string\",\n   \"installment\": \"string\"\n});\n\nvar requestOptions = {\n   method: 'POST',\n   headers: myHeaders,\n   body: raw,\n   redirect: 'follow'\n};\n\nfetch(\"https://api.interoperable.ar/orders/{order_id}/payments/{order_id}\", requestOptions)\n   .then(response => response.text())\n   .then(result => console.log(result))\n   .catch(error => console.log('error', error));",
        "customLabel": ""
      },
      {
        "id": "2h8G3qNyFjCXGQUeVqIjK",
        "language": "python",
        "code": "import requests\nimport json\n\nurl = \"https://api.interoperable.ar/orders/{order_id}/payments/{order_id}\"\n\npayload = json.dumps({\n   \"source\": \"string\",\n   \"installment\": \"string\"\n})\nheaders = {\n   'Accept': 'application/json',\n   'Content-Type': 'application/json'\n}\n\nresponse = requests.request(\"POST\", url, headers=headers, data=payload)\n\nprint(response.text)\n",
        "customLabel": ""
      },
      {
        "id": "XxnYXl-GiX2oUmmOZV6jH",
        "language": "ruby",
        "code": "require \"uri\"\nrequire \"json\"\nrequire \"net/http\"\n\nurl = URI(\"https://api.interoperable.ar/orders/{order_id}/payments/{order_id}\")\n\nhttps = Net::HTTP.new(url.host, url.port)\nhttps.use_ssl = true\n\nrequest = Net::HTTP::Post.new(url)\nrequest[\"Accept\"] = \"application/json\"\nrequest[\"Content-Type\"] = \"application/json\"\nrequest.body = JSON.dump({\n   \"source\": \"string\",\n   \"installment\": \"string\"\n})\n\nresponse = https.request(request)\nputs response.read_body\n",
        "customLabel": ""
      }
    ],
    "selectedLanguageId": "u8F_JYK4W0ijO3xG97uI-"
  },
  "description": "Pagar Orden via QR",
  "currentNewParameter": {
    "label": "Body Parameter",
    "value": "bodyDataParameters"
  },
  "hasTryItOut": false,
  "autoGeneratedAnchorSlug": "pagar-qr",
  "legacyHash": "qrmT4sqkTq-0mtTNm6wW6"
}
```
:::

:::CodeblockTabs
Operación con Tarjeta

```json
{
	"source": "CSP-TZLA1WRCMYSZ9XQ2SQAT03",
	"installment": "CGq7Y9nfZ"
}
```

Operación con Cuenta

```json
{
	"source": "CST-96FMMYYFOUKKG7FJLIHKTG"
}
```
:::

:::ApiMethodV2
```json
{
  "tab": "examples",
  "url": "https://api.interoperable.ar/orders/{order_id}/payments",
  "name": "Devolver Operación",
  "method": "DELETE",
  "request": {
    "pathParameters": [
      {
        "kind": "required",
        "name": "order_id",
        "type": "string",
        "children": [],
        "description": "ID de la Orden sobre la que se realizará el pago."
      }
    ],
    "queryParameters": [],
    "headerParameters": [
      {
        "kind": "optional",
        "name": "Authorization",
        "type": "string",
        "children": [],
        "description": ""
      }
    ],
    "bodyDataParameters": [],
    "formDataParameters": []
  },
  "results": {
    "languages": [
      {
        "id": "pqKuXxL-6rLvaRinl45TK",
        "code": "{\n\"result\": true,\n\"status_message\": \"\",\n\"transaction_id\": \"1CGEMKERVARWBKE49EBRE9\"\n}",
        "language": "200",
        "customLabel": ""
      }
    ],
    "selectedLanguageId": "pqKuXxL-6rLvaRinl45TK"
  },
  "examples": {
    "languages": [
      {
        "id": "j_HjgR5lZJkPj-9tIEafM",
        "language": "curl",
        "code": "curl --location --globoff --request DELETE 'https://api.interoperable.ar/orders/{order_id}/payments/{order_id}' \\\n--header 'Accept: application/json' \\\n--header 'Content-Type: application/json'",
        "customLabel": ""
      },
      {
        "id": "RvWgk5g7gTfr_cQUhJePW",
        "language": "nodejs",
        "code": "var request = require('request');\nvar options = {\n   'method': 'DELETE',\n   'url': 'https://api.interoperable.ar/orders/{order_id}/payments/{order_id}',\n   'headers': {\n      'Accept': 'application/json',\n      'Content-Type': 'application/json'\n   }\n};\nrequest(options, function (error, response) {\n   if (error) throw new Error(error);\n   console.log(response.body);\n});\n",
        "customLabel": ""
      },
      {
        "id": "y3HP8v1n9p24GnBHasvIe",
        "language": "javascript",
        "code": "var myHeaders = new Headers();\nmyHeaders.append(\"Accept\", \"application/json\");\nmyHeaders.append(\"Content-Type\", \"application/json\");\n\nvar requestOptions = {\n   method: 'DELETE',\n   headers: myHeaders,\n   redirect: 'follow'\n};\n\nfetch(\"https://api.interoperable.ar/orders/{order_id}/payments/{order_id}\", requestOptions)\n   .then(response => response.text())\n   .then(result => console.log(result))\n   .catch(error => console.log('error', error));",
        "customLabel": ""
      },
      {
        "id": "OTn3UB732UT9f7RmtoyP-",
        "language": "python",
        "code": "import requests\nimport json\n\nurl = \"https://api.interoperable.ar/orders/{order_id}/payments/{order_id}\"\n\npayload = {}\nheaders = {\n   'Accept': 'application/json',\n   'Content-Type': 'application/json'\n}\n\nresponse = requests.request(\"DELETE\", url, headers=headers, data=payload)\n\nprint(response.text)\n",
        "customLabel": ""
      },
      {
        "id": "5UGFm4MbpUDmgHlVO6iTK",
        "language": "ruby",
        "code": "require \"uri\"\nrequire \"json\"\nrequire \"net/http\"\n\nurl = URI(\"https://api.interoperable.ar/orders/{order_id}/payments/{order_id}\")\n\nhttps = Net::HTTP.new(url.host, url.port)\nhttps.use_ssl = true\n\nrequest = Net::HTTP::Delete.new(url)\nrequest[\"Accept\"] = \"application/json\"\nrequest[\"Content-Type\"] = \"application/json\"\n\nresponse = https.request(request)\nputs response.read_body\n",
        "customLabel": ""
      }
    ],
    "selectedLanguageId": "j_HjgR5lZJkPj-9tIEafM"
  },
  "description": "Devolución de la Orden",
  "currentNewParameter": {
    "label": "Header Parameter",
    "value": "headerParameters"
  },
  "hasTryItOut": false,
  "autoGeneratedAnchorSlug": "devolver-operacin",
  "legacyHash": "mLd87I9OnVXdDKwl_EMAw"
}
```
:::

